Subject: Re: [PATCH v2 net-next] net: stmmac: add drop transmit status feature

From: Andrew Lunn <[email-masked]>
Date: Wed, 12 Apr 2017 15:52:39 +0200

> >> My setup is FPGA based, so it will have lower performance values.
> >> Iperf results with
> >>   "Drop Transmit Status" set: ~650Mbps.
> >>   "Drop Transmit Status" unset: ~450Mbps.
> > 
> > What percentage of your customers use FPGAs? When i look at the users
> > of this driver, i see ST, Allwinner, Rockchip, Meson, etc. So silicon,
> > not FPGA. Does it make sense to do performance measurements on FPGA,
> > when you say it has lower performance?
> 
> I don't understand your question. Synopsys is an IP vendor, so all recent IPs
> are available for prototyping as you can understand and so early development is
> done using a FPGA.

Sure, early development on FPGA makes sense. But my guess is, > 95% of
the devices running this driver are silicon, not FPGA. The customers
you sell the IP to want to know that the driver is going to work well
on their silicon, not your internal FPGA development setup. The kernel
community want a warm fuzzy feeling that you care about the real
devices out in the wild using this driver. So if you could say, "I
tested on a STM DISCO devel board, and performance went up 20%, an
RK3288 devel board and got 18% performance boost, and a Merrii A80
Optimus Board showed 22% improvements", we would have a lot better
feeling about these patches.

	Andrew